Автор Тема: Проблема с zabbix v 6.0  (Прочитано 350 раз)

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 71
Проблема с zabbix v 6.0
« : 23.04.2024 08:32:31 »
Здравствуйте, подскажите, что делаю не так? Пытаюсь установить и запустить zabbix, но не зависимо от того какую хочу использовать БД. Ошибка одна и та же. Пробовал и с MySQL и с PostgeSQL. Делал, по этой инструкции:
https://www.altlinux.org/%D0%A3%D1%81%D1%82%D0%B0%D0%BD%D0%BE%D0%B2%D0%BA%D0%B0_%D0%B8_%D0%BF%D0%B5%D1%80%D0%B2%D0%BE%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D1%8C%D0%BD%D0%B0%D1%8F_%D0%BD%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0_ZABBIX

Оффлайн Александр Ерещенко

  • Завсегдатай
  • *
  • Сообщений: 1 175
Re: Проблема с zabbix v 6.0
« Ответ #1 : 23.04.2024 12:12:14 »
По умолчанию СУБД настроены, чтобы принимать запросы только через unix-сокет.
Для mysql нужно закомментировать строку skip-networking в файле /etc/my.cnf.d/server.cnf
Для постгрес настроить в файле /var/lib/pgsql/data/pg_hba.conf, например так:
# IPv4 local connections:
host    all             all             127.0.0.1/32            trust

Оффлайн mig

  • Давно тут
  • **
  • Сообщений: 103
    • Email
Re: Проблема с zabbix v 6.0
« Ответ #2 : 23.04.2024 12:33:58 »
Посмотри здесь https://kabtim.ru/

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 71
Re: Проблема с zabbix v 6.0
« Ответ #3 : 24.04.2024 10:01:31 »
Спасибо, всем все решилось. Оказалось, что не все до установил в базу данных.